Debian Bug report logs - #597119
unblock: libffado/2.0.1+svn1856-5

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Adrian Knoth <adi@drcomp.erfurt.thur.de>

Date: Thu, 16 Sep 2010 19:15:04 UTC

Severity: normal

Tags: moreinfo

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597119; Package release.debian.org. (Thu, 16 Sep 2010 19:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 16 Sep 2010 19:15:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adrian Knoth <adi@drcomp.erfurt.thur.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: libffado/2.0.1+svn1856-2
Date: Thu, 16 Sep 2010 21:03:02 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: freeze-exception

Please unblock package libffado

>From the changelog:

  * Compile with -fPIC.
  * Refactor common python code into ffado-python-support
    (Closes: #594568) (LP: #524702 #624514)

The bug has severity important, I've hence refactored the files in question
into its own package. There are no dependencies other than these ffado-internal
onces, so if the package in the NEW queue is correct, it shouldn't do any harm
to non-ffado packages.



The -fPIC issue is also worth fixing. At least it's a lintian error, and we
clearly don't want non-relocatable code in shared libraries.

As you can see from the diff (<http://git.debian.org/?p=pkg-
multimedia/ffado.git>), all changes are strictly limited to its very purpose.

I hence ask to let this package to transition to Squeeze.



unblock libffado/2.0.1+svn1856-2

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.34.1 (SMP w/2 CPU cores)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597119; Package release.debian.org. (Thu, 16 Sep 2010 20:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 16 Sep 2010 20:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 597119@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Adrian Knoth <adi@drcomp.erfurt.thur.de>, 597119@bugs.debian.org
Subject: Re: Bug#597119: unblock: libffado/2.0.1+svn1856-2
Date: Thu, 16 Sep 2010 20:58:33 +0100
On Thu, 2010-09-16 at 21:03 +0200, Adrian Knoth wrote:
> Please unblock package libffado
> 
> >From the changelog:
> 
>   * Compile with -fPIC.
>   * Refactor common python code into ffado-python-support
>     (Closes: #594568) (LP: #524702 #624514)

It looks like the upload of -2 earlier today was rejected due to
including an .orig.tar.gz, which did not match the file already in the
archive.

Please let us know once the package has been re-uploaded and accepted.

Regards,

Adam




Added tag(s) moreinfo. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 18 Sep 2010 16:03:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597119; Package release.debian.org. (Sun, 26 Sep 2010 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Sep 2010 11:33:03 GMT) Full text and rfc822 format available.

Message #17 received at 597119@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 597119@bugs.debian.org
Cc: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Subject: Re: Bug#597119: unblock: libffado/2.0.1+svn1856-2
Date: Sun, 26 Sep 2010 12:29:56 +0100
On Thu, 2010-09-16 at 20:58 +0100, Adam D. Barratt wrote:
> On Thu, 2010-09-16 at 21:03 +0200, Adrian Knoth wrote:
> > Please unblock package libffado
> > 
> > >From the changelog:
> > 
> >   * Compile with -fPIC.
> >   * Refactor common python code into ffado-python-support
> >     (Closes: #594568) (LP: #524702 #624514)
> 
> It looks like the upload of -2 earlier today was rejected due to
> including an .orig.tar.gz, which did not match the file already in the
> archive.
> 
> Please let us know once the package has been re-uploaded and accepted.

It looks like it has now.  Given that we're in freeze, would it not have
been easier just to move the python modules in to -tools and have
-mixer-qt4 depend on that, or something similar, rather than adding a
new package?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597119; Package release.debian.org. (Sun, 26 Sep 2010 18:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Sep 2010 18:09:05 GMT) Full text and rfc822 format available.

Message #22 received at 597119@bugs.debian.org (full text, mbox):

From: Adrian Knoth <adi@drcomp.erfurt.thur.de>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 597119@bugs.debian.org, Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#597119: unblock: libffado/2.0.1+svn1856-2
Date: Sun, 26 Sep 2010 20:06:26 +0200
On Sun, Sep 26, 2010 at 12:29:56PM +0100, Adam D. Barratt wrote:

> > > >From the changelog:
> > > 
> > >   * Compile with -fPIC.
> > >   * Refactor common python code into ffado-python-support
> > >     (Closes: #594568) (LP: #524702 #624514)
> > 
> > It looks like the upload of -2 earlier today was rejected due to
> > including an .orig.tar.gz, which did not match the file already in the
> > archive.
> > 
> > Please let us know once the package has been re-uploaded and accepted.
> 
> It looks like it has now.  Given that we're in freeze, would it not have
> been easier just to move the python modules in to -tools and have
> -mixer-qt4 depend on that, or something similar, rather than adding a
> new package?

I like this idea, and I don't see why we shouldn't do it this way.
Should we go for it? If so, I'd prepare a new upload.


Thanks for the hint.

-- 
mail: adi@thur.de  	http://adi.thur.de	PGP/GPG: key via keyserver




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597119; Package release.debian.org. (Tue, 28 Sep 2010 15:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 28 Sep 2010 15:27:06 GMT) Full text and rfc822 format available.

Message #27 received at 597119@bugs.debian.org (full text, mbox):

From: Adrian Knoth <adi@drcomp.erfurt.thur.de>
To: 597119@bugs.debian.org
Subject: Proposed new ffado package
Date: Tue, 28 Sep 2010 17:23:39 +0200
[Message part 1 (text/plain, inline)]
Hi!

Please find attached the debdiff for an updated ffado package. If you
agree, I'll finalize the changelog and upload it to unstable.

If you have suggestions, improvements or simply things we should change,
I'm happy to incorporate them.


TIA

-- 
mail: adi@thur.de  	http://adi.thur.de	PGP/GPG: key via keyserver
[ffado.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597119; Package release.debian.org. (Tue, 28 Sep 2010 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 28 Sep 2010 18:12:03 GMT) Full text and rfc822 format available.

Message #32 received at 597119@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Adrian Knoth <adi@drcomp.erfurt.thur.de>, 597119@bugs.debian.org
Subject: Re: Bug#597119: Proposed new ffado package
Date: Tue, 28 Sep 2010 19:08:03 +0100
On Tue, 2010-09-28 at 17:23 +0200, Adrian Knoth wrote:
> Please find attached the debdiff for an updated ffado package. If you
> agree, I'll finalize the changelog and upload it to unstable.
> 
> If you have suggestions, improvements or simply things we should change,
> I'm happy to incorporate them.

Thanks for the updated diff.

The Breaks / Replaces on ffado-python-support aren't strictly necessary
as the package only existed for a few days, and then only in unstable;
I'm not going to object if you wish to leave them in, however.

I assume the cdbs build-dependency bump is related to the changes in
debian/rules?  Specifically these:

-include /usr/share/cdbs/1/rules/buildcore.mk

-DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

Regards,

Adam





Changed Bug title to 'unblock: libffado/2.0.1+svn1856-3' from 'unblock: libffado/2.0.1+svn1856-2' Request was from Adrian Knoth <adi@drcomp.erfurt.thur.de> to control@bugs.debian.org. (Wed, 29 Sep 2010 15:25:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597119; Package release.debian.org. (Wed, 29 Sep 2010 19:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 29 Sep 2010 19:21:03 GMT) Full text and rfc822 format available.

Message #39 received at 597119@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 597119@bugs.debian.org
Cc: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Subject: Re: Bug#597119: Proposed new ffado package
Date: Wed, 29 Sep 2010 20:19:10 +0100
On Tue, 2010-09-28 at 19:08 +0100, Adam D. Barratt wrote:
> The Breaks / Replaces on ffado-python-support aren't strictly necessary
> as the package only existed for a few days, and then only in unstable;
> I'm not going to object if you wish to leave them in, however.

I see -3 has now been uploaded with them in; I'd still be interested in
an answer to this query:

> I assume the cdbs build-dependency bump is related to the changes in
> debian/rules?  Specifically these:
> 
> -include /usr/share/cdbs/1/rules/buildcore.mk
> 
> -DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597119; Package release.debian.org. (Fri, 01 Oct 2010 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 01 Oct 2010 11:03:03 GMT) Full text and rfc822 format available.

Message #44 received at 597119@bugs.debian.org (full text, mbox):

From: Adrian Knoth <adi@drcomp.erfurt.thur.de>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 597119@bugs.debian.org
Subject: Re: Bug#597119: Proposed new ffado package
Date: Fri, 1 Oct 2010 13:00:11 +0200
On Wed, Sep 29, 2010 at 08:19:10PM +0100, Adam D. Barratt wrote:

Hi!

> I see -3 has now been uploaded with them in; I'd still be interested in
> an answer to this query:
> 
> > I assume the cdbs build-dependency bump is related to the changes in
> > debian/rules?  Specifically these:
> > 
> > -include /usr/share/cdbs/1/rules/buildcore.mk
> > 
> > -DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

I don't know, the CDBS version dependency updates itself automatically.

Jonas, could you comment on it?

http://git.debian.org/?p=pkg-multimedia/ffado.git;a=commitdiff;h=361a6fdca102441df48573e73ca7d7328345baa0

talks about "removing superfluous CDBS declarations", but I have no idea
if the lines were always superfluous or just became superfluous after a
CDBS version bump.


Jonas is somewhat busy abroad, so it will probably take a couple of days
until we know for sure. ;)
   

Cheers

-- 
mail: adi@thur.de  	http://adi.thur.de	PGP/GPG: key via keyserver




Changed Bug title to 'unblock: libffado/2.0.1+svn1856-4' from 'unblock: libffado/2.0.1+svn1856-3' Request was from Adrian Knoth <adi@drcomp.erfurt.thur.de> to control@bugs.debian.org. (Thu, 14 Oct 2010 21:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597119; Package release.debian.org. (Sat, 16 Oct 2010 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 597119@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 16 Oct 2010 22:45:03 GMT) Full text and rfc822 format available.

Message #51 received at 597119@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 597119@bugs.debian.org
Subject: Re: Bug#597119: Proposed new ffado package
Date: Sun, 17 Oct 2010 00:41:39 +0200
[Message part 1 (text/plain, inline)]
On Tue, Sep 28, 2010 at 08:11:41PM +0200, Adrian Knoth wrote:
>----- Forwarded message from "Adam D. Barratt" <adam@adam-barratt.org.uk> -----

>The Breaks / Replaces on ffado-python-support aren't strictly necessary 
>as the package only existed for a few days, and then only in unstable; 
>I'm not going to object if you wish to leave them in, however.

Ah, you are right that they are not really necessary.  Thanks for 
spotting.  Dropped now.


>I assume the cdbs build-dependency bump is related to the changes in 
>debian/rules?  Specifically these:
>
>-include /usr/share/cdbs/1/rules/buildcore.mk
>
>-DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

No, above is just superfluous duplicate code.

The bump was due to inclusion of utils.mk used for invoking dh-buildinfo 
instead of the previous explicit rule.

I now relaxed the inclusion of utils.mk so that dh-buildinfo simply is 
silently skipped when using a too old cdbs version.



Sorry for the late response to this.

 - Jonas

-- 
  * Jonas Smedegaard - idealist & Internet-arkitekt
  * Tlf.: +45 40843136  Website: http://dr.jones.dk/

  [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'unblock: libffado/2.0.1+svn1856-5' from 'unblock: libffado/2.0.1+svn1856-4' Request was from adi@drcomp.erfurt.thur.de (Adrian Knoth) to control@bugs.debian.org. (Sun, 17 Oct 2010 09:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#597119; Package release.debian.org. (Sun, 17 Oct 2010 10:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Oct 2010 10:45:06 GMT) Full text and rfc822 format available.

Message #58 received at 597119@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 597119@bugs.debian.org, 597119-done@bugs.debian.org
Subject: Re: Bug#597119: Proposed new ffado package
Date: Sun, 17 Oct 2010 11:40:52 +0100
On Sat, October 16, 2010 23:41, Jonas Smedegaard wrote:
> On Tue, Sep 28, 2010 at 08:11:41PM +0200, Adrian Knoth wrote:
>>----- Forwarded message from "Adam D. Barratt" <adam@adam-barratt.org.uk>
>> -----
[...]
>>I assume the cdbs build-dependency bump is related to the changes in
>>debian/rules?  Specifically these:
>>
>>-include /usr/share/cdbs/1/rules/buildcore.mk
>>
>>-DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
>
> No, above is just superfluous duplicate code.
>
> The bump was due to inclusion of utils.mk used for invoking dh-buildinfo
> instead of the previous explicit rule.
>
> I now relaxed the inclusion of utils.mk so that dh-buildinfo simply is
> silently skipped when using a too old cdbs version.

Thanks; I've unblocked -5.

Regards,

Adam





Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Sun, 17 Oct 2010 10:45:08 GMT) Full text and rfc822 format available.

Notification sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
Bug acknowledged by developer. (Sun, 17 Oct 2010 10:45:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 15 Nov 2010 07:30:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:52:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.